#include "WATHER.h"
#include "iot_adc.h"
#include "iot_errno.h"
#include "iot_gpio.h"
#include "iot_gpio_ex.h"
#include "iot_i2c.h"

#define I2C1_SDA_GPIO 0
#define I2C1_SCL_GPIO 1
#define IOT_GPIO_FUNC_GPIO_0_I2C1_SDA  6
#define IOT_GPIO_FUNC_GPIO_1_I2C1_SCL 6
#define WIFI_IOT_I2C_IDX_1 1

#define BEEP_GPIO 8



void BoardInit(void)
{   
    IoTGpioInit(BEEP_GPIO);
    IoTGpioSetFunc(BEEP_GPIO, IOT_GPIO_FUNC_GPIO_8_GPIO);
    IoTGpioSetDir(BEEP_GPIO, IOT_GPIO_DIR_OUT); // 设置GPIO_14为输出模式
    
    //GPIO_0复用为I2C1_SDA
    IoTGpioInit(I2C1_SDA_GPIO);
    IoTGpioSetFunc(I2C1_SDA_GPIO, IOT_GPIO_FUNC_GPIO_0_I2C1_SDA);

    //GPIO_1复用为I2C1_SCL
    IoTGpioInit(I2C1_SCL_GPIO);
    IoTGpioSetFunc(I2C1_SCL_GPIO, IOT_GPIO_FUNC_GPIO_1_I2C1_SCL);

    //baudrate: 400kbps
    IoTI2cInit(WIFI_IOT_I2C_IDX_1, 400000);

}

/***************************************************************
 * 函数名称: BeepStatusSet
 * 说    明: Beep状态设置
 * 参    数: status,ENUM枚举的数据
 *									OFF,关
 *									ON,开
 * 返 回 值: 无
 ***************************************************************/
void BeepStatusSet(SwitchStatus status)
{
    if (status == ON) {
        IoTGpioSetOutputVal(BEEP_GPIO, 1); // 设置输出高电平打开蜂鸣器
    }
    if (status == OFF) {
        IoTGpioSetOutputVal(BEEP_GPIO, 0); // 设置输出低电平关闭蜂鸣器
    }
}
