/*
 * Copyright (c) 2022 Jinan Bosai Network Technology Co., LTD Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <stdio.h>
#include <string.h>
#include <unistd.h>

#include "PM2_5.h"
#include "cmsis_os2.h"
#include "ohos_init.h"


#define TASK_STACK_SIZE 1024 * 8
#define TASK_PRIO 25


static void ExampleTask(void)
{
    PM2D5Data data;

    BoardInit();
    // LedWarnStatusSet(ON);
    LedSafeStatusSet(ON);
    while (1) {
        PM2DReadData(&data);
        printf("\r\n******************************PM1.0 is  %d\r\n", data.pm1_0);
        printf("\r\n******************************PM2.5 is  %d\r\n", data.pm2_5);
        printf("\r\n******************************PM10 is  %d\r\n", data.pm10);
        sleep(1);
    }

}

static void ExampleEntry(void)
{
    osThreadAttr_t attr;

    attr.name = "ExampleTask";
    attr.attr_bits = 0U;
    attr.cb_mem = NULL;
    attr.cb_size = 0U;
    attr.stack_mem = NULL;
    attr.stack_size = TASK_STACK_SIZE;
    attr.priority = TASK_PRIO;

    if (osThreadNew((osThreadFunc_t)ExampleTask, NULL, &attr) == NULL) {
        printf("Failed to create ExampleTask!\n");
    }
}

APP_FEATURE_INIT(ExampleEntry);