/*
 * Copyright (c) 2022 Jinan Bosai Network Technology Co., LTD Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <stdio.h>
#include <string.h>
#include <unistd.h>

#include "st02d.h"
#include "cmsis_os2.h"
#include "ohos_init.h"


#define TASK_STACK_SIZE 1024 * 8
#define TASK_PRIO 25
// #define FLAGS_MSK1 0x00000001U

// osEventFlagsId_t evt_id;

// static void Beep_Alarm(char *arg)
// {
//     (void)arg;
//     osEventFlagsSet(evt_id, FLAGS_MSK1);
//     printf("Beep_Alarm\n");
// }

static void ExampleTask(void)
{
    // ST02D_Init();
    // Button_Left_Read_Data(Beep_Alarm);
    // Button_Right_Read_Data(Beep_Alarm);
    // while (1)
    // {
    //     osEventFlagsWait(evt_id, FLAGS_MSK1, osFlagsWaitAny, osWaitForever);
    //     BeepStatusSet(ON);
    //     LedWarnStatusSet(ON);
    //     osDelay(300);
    //     BeepStatusSet(OFF);
    //     LedWarnStatusSet(OFF);
    // }
    ST02D_Init();
    // Button_Left_Read_Data(Beep_Alarm);
    // Button_Right_Read_Data(Beep_Alarm);
    while (1)
    {
		if(Button_Left_Read_Data() == 0|Button_Right_Read_Data() == 0)
        {
            BeepStatusSet(ON);
            LedWarnStatusSet(ON);
            
        }
		else
        {
            BeepStatusSet(OFF);
            LedWarnStatusSet(OFF);
        }
        sleep(1);
    }

}

static void ExampleEntry(void)
{
    osThreadAttr_t attr;

    attr.name = "ExampleTask";
    attr.attr_bits = 0U;
    attr.cb_mem = NULL;
    attr.cb_size = 0U;
    attr.stack_mem = NULL;
    attr.stack_size = TASK_STACK_SIZE;
    attr.priority = TASK_PRIO;

    if (osThreadNew((osThreadFunc_t)ExampleTask, NULL, &attr) == NULL) {
        printf("Failed to create ExampleTask!\n");
    }
}

APP_FEATURE_INIT(ExampleEntry);