#include "VOICE.h"
#include "iot_gpio.h"
#include "iot_gpio_ex.h"


#define LED_BLUE1_GPIO 5
#define LED_BLUE2_GPIO 6
#define LED_RED1_GPIO 14
#define LED_RED2_GPIO 7
#define BEEP_GPIO 8

void BoardInit(void)
{   
    IoTGpioInit(LED_BLUE1_GPIO);
    IoTGpioSetFunc(LED_BLUE1_GPIO, IOT_GPIO_FUNC_GPIO_5_GPIO);
    IoTGpioSetDir(LED_BLUE1_GPIO, IOT_GPIO_DIR_OUT); // 设置GPIO_8为输出模式

    IoTGpioInit(LED_BLUE2_GPIO);
    IoTGpioSetFunc(LED_BLUE2_GPIO, IOT_GPIO_FUNC_GPIO_6_GPIO);
    IoTGpioSetDir(LED_BLUE2_GPIO, IOT_GPIO_DIR_OUT); // 设置GPIO_8为输出模式

    IoTGpioInit(LED_RED1_GPIO);
    IoTGpioSetFunc(LED_RED1_GPIO, IOT_GPIO_FUNC_GPIO_14_GPIO);
    IoTGpioSetDir(LED_RED1_GPIO, IOT_GPIO_DIR_OUT); // 设置为输入模式

    IoTGpioInit(LED_RED2_GPIO);
    IoTGpioSetFunc(LED_RED2_GPIO, IOT_GPIO_FUNC_GPIO_7_GPIO);
    IoTGpioSetDir(LED_RED2_GPIO, IOT_GPIO_DIR_OUT); // 设置为输出模式

    IoTGpioInit(BEEP_GPIO);
    IoTGpioSetFunc(BEEP_GPIO, IOT_GPIO_FUNC_GPIO_8_GPIO);
    IoTGpioSetDir(BEEP_GPIO, IOT_GPIO_DIR_OUT); // 设置为输入模式
}


/***************************************************************
 * 函数名称: BeepStatusSet
 * 说    明: Beep状态设置
 * 参    数: status,ENUM枚举的数据
 *									OFF,关
 *									ON,开
 * 返 回 值: 无
 ***************************************************************/
void BeepStatusSet(SwitchStatus status)
{
    if (status == ON) {
        IoTGpioSetOutputVal(BEEP_GPIO, 1); // 设置GPIO_7输出高电平点亮灯
    }
    if (status == OFF) {
        IoTGpioSetOutputVal(BEEP_GPIO, 0); // 设置GPIO_7输出低电平关闭灯
    }
}

/***************************************************************
 * 函数名称: LedBlue1StatusSet
 * 说    明: LED_Blue1状态设置
 * 参    数: status,ENUM枚举的数据
 *									OFF,关
 *									ON,开
 * 返 回 值: 无
 ***************************************************************/
void LedBlue1StatusSet(SwitchStatus status)
{
    if (status == ON) {
        IoTGpioSetOutputVal(LED_BLUE1_GPIO, 1); // 设置输出高电平点亮灯
    }

    if (status == OFF) {
        IoTGpioSetOutputVal(LED_BLUE1_GPIO, 0); // 设置输出低电平关闭灯
    }
}

/***************************************************************
 * 函数名称: LedBlue2StatusSet
 * 说    明: LED_Blue1状态设置
 * 参    数: status,ENUM枚举的数据
 *									OFF,关
 *									ON,开
 * 返 回 值: 无
 ***************************************************************/
void LedBlue2StatusSet(SwitchStatus status)
{
    if (status == ON) {
        IoTGpioSetOutputVal(LED_BLUE2_GPIO, 1); // 设置输出高电平点亮灯
    }

    if (status == OFF) {
        IoTGpioSetOutputVal(LED_BLUE2_GPIO, 0); // 设置输出低电平关闭灯
    }
}
/***************************************************************
 * 函数名称: LedBlue1StatusSet
 * 说    明: LED_Red2状态设置
 * 参    数: status,ENUM枚举的数据
 *									OFF,关
 *									ON,开
 * 返 回 值: 无
 ***************************************************************/
void LedRed1StatusSet(SwitchStatus status)
{
    if (status == ON) {
        IoTGpioSetOutputVal(LED_RED1_GPIO, 1); // 设置输出高电平点亮灯
    }

    if (status == OFF) {
        IoTGpioSetOutputVal(LED_RED1_GPIO, 0); // 设置输出低电平关闭灯
    }
}

/***************************************************************
 * 函数名称: LedRed2StatusSet
 * 说    明: LED_Red2状态设置
 * 参    数: status,ENUM枚举的数据
 *									OFF,关
 *									ON,开
 * 返 回 值: 无
 ***************************************************************/
void LedRed2StatusSet(SwitchStatus status)
{
    if (status == ON) {
        IoTGpioSetOutputVal(LED_RED2_GPIO, 1); // 设置输出高电平点亮灯
    }

    if (status == OFF) {
        IoTGpioSetOutputVal(LED_RED2_GPIO, 0); // 设置输出低电平关闭灯
    }
}

